package mrbool;

import java.util.List;

import mrbool.Helpers.AccountHelper;

import com.opensymphony.xwork2.ActionSupport;


public class StatementAction extends ActionSupport{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	

	private List<Transaction> transactions;
	
	public String execute(){
		
		this.setTransactions(Transactions.getAll());
		
		if(this.transactions.size() == 0){
			addActionError("No transactions");
			addActionMessage("Testing Message");
			return "error";
		}
				
		return "success";
		
	}

	public List<Transaction> getTransactions() {
		return transactions;
	}

	public void setTransactions(List<Transaction> transactions) {
		this.transactions = transactions;
	}

	public String getBalance() {
		return String.valueOf(AccountHelper.getBalance());
	}

	
}
